IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network235.2.192.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
235.2.192.0- Broadcast address
235.2.195.255- First usable
235.2.192.1- Last usable
235.2.195.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
EB02C000· Integer3942825984to3942827007 - Reverse DNS zones
192.2.235.in-addr.arpa193.2.235.in-addr.arpa194.2.235.in-addr.arpa195.2.235.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101011.00000010.11000000.00000000 | 235.2.192.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 11101011.00000010.11000000.00000000 | 235.2.192.0 |
| Broadcast | 11101011.00000010.11000011.11111111 | 235.2.195.255 |
Split into smaller subnets
235.2.192.0/22 makes 1,024 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 235.2.192.0/32 | 235.2.192.0 to 235.2.192.0 | — | 1 |
| 2 | 235.2.192.1/32 | 235.2.192.1 to 235.2.192.1 | — | 1 |
| 3 | 235.2.192.2/32 | 235.2.192.2 to 235.2.192.2 | — | 1 |
| 4 | 235.2.192.3/32 | 235.2.192.3 to 235.2.192.3 | — | 1 |
| 5 | 235.2.192.4/32 | 235.2.192.4 to 235.2.192.4 | — | 1 |
| 6 | 235.2.192.5/32 | 235.2.192.5 to 235.2.192.5 | — | 1 |
| 7 | 235.2.192.6/32 | 235.2.192.6 to 235.2.192.6 | — | 1 |
| 8 | 235.2.192.7/32 | 235.2.192.7 to 235.2.192.7 | — | 1 |
| 9 | 235.2.192.8/32 | 235.2.192.8 to 235.2.192.8 | — | 1 |
| 10 | 235.2.192.9/32 | 235.2.192.9 to 235.2.192.9 | — | 1 |
| 11 | 235.2.192.10/32 | 235.2.192.10 to 235.2.192.10 | — | 1 |
| 12 | 235.2.192.11/32 | 235.2.192.11 to 235.2.192.11 | — | 1 |
| 13 | 235.2.192.12/32 | 235.2.192.12 to 235.2.192.12 | — | 1 |
| 14 | 235.2.192.13/32 | 235.2.192.13 to 235.2.192.13 | — | 1 |
| 15 | 235.2.192.14/32 | 235.2.192.14 to 235.2.192.14 | — | 1 |
| 16 | 235.2.192.15/32 | 235.2.192.15 to 235.2.192.15 | — | 1 |
| 17 | 235.2.192.16/32 | 235.2.192.16 to 235.2.192.16 | — | 1 |
| 18 | 235.2.192.17/32 | 235.2.192.17 to 235.2.192.17 | — | 1 |
| 19 | 235.2.192.18/32 | 235.2.192.18 to 235.2.192.18 | — | 1 |
| 20 | 235.2.192.19/32 | 235.2.192.19 to 235.2.192.19 | — | 1 |
| 21 | 235.2.192.20/32 | 235.2.192.20 to 235.2.192.20 | — | 1 |
| 22 | 235.2.192.21/32 | 235.2.192.21 to 235.2.192.21 | — | 1 |
| 23 | 235.2.192.22/32 | 235.2.192.22 to 235.2.192.22 | — | 1 |
| 24 | 235.2.192.23/32 | 235.2.192.23 to 235.2.192.23 | — | 1 |
| 25 | 235.2.192.24/32 | 235.2.192.24 to 235.2.192.24 | — | 1 |
| 26 | 235.2.192.25/32 | 235.2.192.25 to 235.2.192.25 | — | 1 |
| 27 | 235.2.192.26/32 | 235.2.192.26 to 235.2.192.26 | — | 1 |
| 28 | 235.2.192.27/32 | 235.2.192.27 to 235.2.192.27 | — | 1 |
| 29 | 235.2.192.28/32 | 235.2.192.28 to 235.2.192.28 | — | 1 |
| 30 | 235.2.192.29/32 | 235.2.192.29 to 235.2.192.29 | — | 1 |
| 31 | 235.2.192.30/32 | 235.2.192.30 to 235.2.192.30 | — | 1 |
| 32 | 235.2.192.31/32 | 235.2.192.31 to 235.2.192.31 | — | 1 |
| 33 | 235.2.192.32/32 | 235.2.192.32 to 235.2.192.32 | — | 1 |
| 34 | 235.2.192.33/32 | 235.2.192.33 to 235.2.192.33 | — | 1 |
| 35 | 235.2.192.34/32 | 235.2.192.34 to 235.2.192.34 | — | 1 |
| 36 | 235.2.192.35/32 | 235.2.192.35 to 235.2.192.35 | — | 1 |
| 37 | 235.2.192.36/32 | 235.2.192.36 to 235.2.192.36 | — | 1 |
| 38 | 235.2.192.37/32 | 235.2.192.37 to 235.2.192.37 | — | 1 |
| 39 | 235.2.192.38/32 | 235.2.192.38 to 235.2.192.38 | — | 1 |
| 40 | 235.2.192.39/32 | 235.2.192.39 to 235.2.192.39 | — | 1 |
| 41 | 235.2.192.40/32 | 235.2.192.40 to 235.2.192.40 | — | 1 |
| 42 | 235.2.192.41/32 | 235.2.192.41 to 235.2.192.41 | — | 1 |
| 43 | 235.2.192.42/32 | 235.2.192.42 to 235.2.192.42 | — | 1 |
| 44 | 235.2.192.43/32 | 235.2.192.43 to 235.2.192.43 | — | 1 |
| 45 | 235.2.192.44/32 | 235.2.192.44 to 235.2.192.44 | — | 1 |
| 46 | 235.2.192.45/32 | 235.2.192.45 to 235.2.192.45 | — | 1 |
| 47 | 235.2.192.46/32 | 235.2.192.46 to 235.2.192.46 | — | 1 |
| 48 | 235.2.192.47/32 | 235.2.192.47 to 235.2.192.47 | — | 1 |
| 49 | 235.2.192.48/32 | 235.2.192.48 to 235.2.192.48 | — | 1 |
| 50 | 235.2.192.49/32 | 235.2.192.49 to 235.2.192.49 | — | 1 |
| 51 | 235.2.192.50/32 | 235.2.192.50 to 235.2.192.50 | — | 1 |
| 52 | 235.2.192.51/32 | 235.2.192.51 to 235.2.192.51 | — | 1 |
| 53 | 235.2.192.52/32 | 235.2.192.52 to 235.2.192.52 | — | 1 |
| 54 | 235.2.192.53/32 | 235.2.192.53 to 235.2.192.53 | — | 1 |
| 55 | 235.2.192.54/32 | 235.2.192.54 to 235.2.192.54 | — | 1 |
| 56 | 235.2.192.55/32 | 235.2.192.55 to 235.2.192.55 | — | 1 |
| 57 | 235.2.192.56/32 | 235.2.192.56 to 235.2.192.56 | — | 1 |
| 58 | 235.2.192.57/32 | 235.2.192.57 to 235.2.192.57 | — | 1 |
| 59 | 235.2.192.58/32 | 235.2.192.58 to 235.2.192.58 | — | 1 |
| 60 | 235.2.192.59/32 | 235.2.192.59 to 235.2.192.59 | — | 1 |
| 61 | 235.2.192.60/32 | 235.2.192.60 to 235.2.192.60 | — | 1 |
| 62 | 235.2.192.61/32 | 235.2.192.61 to 235.2.192.61 | — | 1 |
| 63 | 235.2.192.62/32 | 235.2.192.62 to 235.2.192.62 | — | 1 |
| 64 | 235.2.192.63/32 | 235.2.192.63 to 235.2.192.63 | — | 1 |
| 65 | 235.2.192.64/32 | 235.2.192.64 to 235.2.192.64 | — | 1 |
| 66 | 235.2.192.65/32 | 235.2.192.65 to 235.2.192.65 | — | 1 |
| 67 | 235.2.192.66/32 | 235.2.192.66 to 235.2.192.66 | — | 1 |
| 68 | 235.2.192.67/32 | 235.2.192.67 to 235.2.192.67 | — | 1 |
| 69 | 235.2.192.68/32 | 235.2.192.68 to 235.2.192.68 | — | 1 |
| 70 | 235.2.192.69/32 | 235.2.192.69 to 235.2.192.69 | — | 1 |
| 71 | 235.2.192.70/32 | 235.2.192.70 to 235.2.192.70 | — | 1 |
| 72 | 235.2.192.71/32 | 235.2.192.71 to 235.2.192.71 | — | 1 |
| 73 | 235.2.192.72/32 | 235.2.192.72 to 235.2.192.72 | — | 1 |
| 74 | 235.2.192.73/32 | 235.2.192.73 to 235.2.192.73 | — | 1 |
| 75 | 235.2.192.74/32 | 235.2.192.74 to 235.2.192.74 | — | 1 |
| 76 | 235.2.192.75/32 | 235.2.192.75 to 235.2.192.75 | — | 1 |
| 77 | 235.2.192.76/32 | 235.2.192.76 to 235.2.192.76 | — | 1 |
| 78 | 235.2.192.77/32 | 235.2.192.77 to 235.2.192.77 | — | 1 |
| 79 | 235.2.192.78/32 | 235.2.192.78 to 235.2.192.78 | — | 1 |
| 80 | 235.2.192.79/32 | 235.2.192.79 to 235.2.192.79 | — | 1 |
| 81 | 235.2.192.80/32 | 235.2.192.80 to 235.2.192.80 | — | 1 |
| 82 | 235.2.192.81/32 | 235.2.192.81 to 235.2.192.81 | — | 1 |
| 83 | 235.2.192.82/32 | 235.2.192.82 to 235.2.192.82 | — | 1 |
| 84 | 235.2.192.83/32 | 235.2.192.83 to 235.2.192.83 | — | 1 |
| 85 | 235.2.192.84/32 | 235.2.192.84 to 235.2.192.84 | — | 1 |
| 86 | 235.2.192.85/32 | 235.2.192.85 to 235.2.192.85 | — | 1 |
| 87 | 235.2.192.86/32 | 235.2.192.86 to 235.2.192.86 | — | 1 |
| 88 | 235.2.192.87/32 | 235.2.192.87 to 235.2.192.87 | — | 1 |
| 89 | 235.2.192.88/32 | 235.2.192.88 to 235.2.192.88 | — | 1 |
| 90 | 235.2.192.89/32 | 235.2.192.89 to 235.2.192.89 | — | 1 |
| 91 | 235.2.192.90/32 | 235.2.192.90 to 235.2.192.90 | — | 1 |
| 92 | 235.2.192.91/32 | 235.2.192.91 to 235.2.192.91 | — | 1 |
| 93 | 235.2.192.92/32 | 235.2.192.92 to 235.2.192.92 | — | 1 |
| 94 | 235.2.192.93/32 | 235.2.192.93 to 235.2.192.93 | — | 1 |
| 95 | 235.2.192.94/32 | 235.2.192.94 to 235.2.192.94 | — | 1 |
| 96 | 235.2.192.95/32 | 235.2.192.95 to 235.2.192.95 | — | 1 |
| 97 | 235.2.192.96/32 | 235.2.192.96 to 235.2.192.96 | — | 1 |
| 98 | 235.2.192.97/32 | 235.2.192.97 to 235.2.192.97 | — | 1 |
| 99 | 235.2.192.98/32 | 235.2.192.98 to 235.2.192.98 | — | 1 |
| 100 | 235.2.192.99/32 | 235.2.192.99 to 235.2.192.99 | — | 1 |
| 101 | 235.2.192.100/32 | 235.2.192.100 to 235.2.192.100 | — | 1 |
| 102 | 235.2.192.101/32 | 235.2.192.101 to 235.2.192.101 | — | 1 |
| 103 | 235.2.192.102/32 | 235.2.192.102 to 235.2.192.102 | — | 1 |
| 104 | 235.2.192.103/32 | 235.2.192.103 to 235.2.192.103 | — | 1 |
| 105 | 235.2.192.104/32 | 235.2.192.104 to 235.2.192.104 | — | 1 |
| 106 | 235.2.192.105/32 | 235.2.192.105 to 235.2.192.105 | — | 1 |
| 107 | 235.2.192.106/32 | 235.2.192.106 to 235.2.192.106 | — | 1 |
| 108 | 235.2.192.107/32 | 235.2.192.107 to 235.2.192.107 | — | 1 |
| 109 | 235.2.192.108/32 | 235.2.192.108 to 235.2.192.108 | — | 1 |
| 110 | 235.2.192.109/32 | 235.2.192.109 to 235.2.192.109 | — | 1 |
| 111 | 235.2.192.110/32 | 235.2.192.110 to 235.2.192.110 | — | 1 |
| 112 | 235.2.192.111/32 | 235.2.192.111 to 235.2.192.111 | — | 1 |
| 113 | 235.2.192.112/32 | 235.2.192.112 to 235.2.192.112 | — | 1 |
| 114 | 235.2.192.113/32 | 235.2.192.113 to 235.2.192.113 | — | 1 |
| 115 | 235.2.192.114/32 | 235.2.192.114 to 235.2.192.114 | — | 1 |
| 116 | 235.2.192.115/32 | 235.2.192.115 to 235.2.192.115 | — | 1 |
| 117 | 235.2.192.116/32 | 235.2.192.116 to 235.2.192.116 | — | 1 |
| 118 | 235.2.192.117/32 | 235.2.192.117 to 235.2.192.117 | — | 1 |
| 119 | 235.2.192.118/32 | 235.2.192.118 to 235.2.192.118 | — | 1 |
| 120 | 235.2.192.119/32 | 235.2.192.119 to 235.2.192.119 | — | 1 |
| 121 | 235.2.192.120/32 | 235.2.192.120 to 235.2.192.120 | — | 1 |
| 122 | 235.2.192.121/32 | 235.2.192.121 to 235.2.192.121 | — | 1 |
| 123 | 235.2.192.122/32 | 235.2.192.122 to 235.2.192.122 | — | 1 |
| 124 | 235.2.192.123/32 | 235.2.192.123 to 235.2.192.123 | — | 1 |
| 125 | 235.2.192.124/32 | 235.2.192.124 to 235.2.192.124 | — | 1 |
| 126 | 235.2.192.125/32 | 235.2.192.125 to 235.2.192.125 | — | 1 |
| 127 | 235.2.192.126/32 | 235.2.192.126 to 235.2.192.126 | — | 1 |
| 128 | 235.2.192.127/32 | 235.2.192.127 to 235.2.192.127 | — | 1 |
| 129 | 235.2.192.128/32 | 235.2.192.128 to 235.2.192.128 | — | 1 |
| 130 | 235.2.192.129/32 | 235.2.192.129 to 235.2.192.129 | — | 1 |
| 131 | 235.2.192.130/32 | 235.2.192.130 to 235.2.192.130 | — | 1 |
| 132 | 235.2.192.131/32 | 235.2.192.131 to 235.2.192.131 | — | 1 |
| 133 | 235.2.192.132/32 | 235.2.192.132 to 235.2.192.132 | — | 1 |
| 134 | 235.2.192.133/32 | 235.2.192.133 to 235.2.192.133 | — | 1 |
| 135 | 235.2.192.134/32 | 235.2.192.134 to 235.2.192.134 | — | 1 |
| 136 | 235.2.192.135/32 | 235.2.192.135 to 235.2.192.135 | — | 1 |
| 137 | 235.2.192.136/32 | 235.2.192.136 to 235.2.192.136 | — | 1 |
| 138 | 235.2.192.137/32 | 235.2.192.137 to 235.2.192.137 | — | 1 |
| 139 | 235.2.192.138/32 | 235.2.192.138 to 235.2.192.138 | — | 1 |
| 140 | 235.2.192.139/32 | 235.2.192.139 to 235.2.192.139 | — | 1 |
| 141 | 235.2.192.140/32 | 235.2.192.140 to 235.2.192.140 | — | 1 |
| 142 | 235.2.192.141/32 | 235.2.192.141 to 235.2.192.141 | — | 1 |
| 143 | 235.2.192.142/32 | 235.2.192.142 to 235.2.192.142 | — | 1 |
| 144 | 235.2.192.143/32 | 235.2.192.143 to 235.2.192.143 | — | 1 |
| 145 | 235.2.192.144/32 | 235.2.192.144 to 235.2.192.144 | — | 1 |
| 146 | 235.2.192.145/32 | 235.2.192.145 to 235.2.192.145 | — | 1 |
| 147 | 235.2.192.146/32 | 235.2.192.146 to 235.2.192.146 | — | 1 |
| 148 | 235.2.192.147/32 | 235.2.192.147 to 235.2.192.147 | — | 1 |
| 149 | 235.2.192.148/32 | 235.2.192.148 to 235.2.192.148 | — | 1 |
| 150 | 235.2.192.149/32 | 235.2.192.149 to 235.2.192.149 | — | 1 |
| 151 | 235.2.192.150/32 | 235.2.192.150 to 235.2.192.150 | — | 1 |
| 152 | 235.2.192.151/32 | 235.2.192.151 to 235.2.192.151 | — | 1 |
| 153 | 235.2.192.152/32 | 235.2.192.152 to 235.2.192.152 | — | 1 |
| 154 | 235.2.192.153/32 | 235.2.192.153 to 235.2.192.153 | — | 1 |
| 155 | 235.2.192.154/32 | 235.2.192.154 to 235.2.192.154 | — | 1 |
| 156 | 235.2.192.155/32 | 235.2.192.155 to 235.2.192.155 | — | 1 |
| 157 | 235.2.192.156/32 | 235.2.192.156 to 235.2.192.156 | — | 1 |
| 158 | 235.2.192.157/32 | 235.2.192.157 to 235.2.192.157 | — | 1 |
| 159 | 235.2.192.158/32 | 235.2.192.158 to 235.2.192.158 | — | 1 |
| 160 | 235.2.192.159/32 | 235.2.192.159 to 235.2.192.159 | — | 1 |
| 161 | 235.2.192.160/32 | 235.2.192.160 to 235.2.192.160 | — | 1 |
| 162 | 235.2.192.161/32 | 235.2.192.161 to 235.2.192.161 | — | 1 |
| 163 | 235.2.192.162/32 | 235.2.192.162 to 235.2.192.162 | — | 1 |
| 164 | 235.2.192.163/32 | 235.2.192.163 to 235.2.192.163 | — | 1 |
| 165 | 235.2.192.164/32 | 235.2.192.164 to 235.2.192.164 | — | 1 |
| 166 | 235.2.192.165/32 | 235.2.192.165 to 235.2.192.165 | — | 1 |
| 167 | 235.2.192.166/32 | 235.2.192.166 to 235.2.192.166 | — | 1 |
| 168 | 235.2.192.167/32 | 235.2.192.167 to 235.2.192.167 | — | 1 |
| 169 | 235.2.192.168/32 | 235.2.192.168 to 235.2.192.168 | — | 1 |
| 170 | 235.2.192.169/32 | 235.2.192.169 to 235.2.192.169 | — | 1 |
| 171 | 235.2.192.170/32 | 235.2.192.170 to 235.2.192.170 | — | 1 |
| 172 | 235.2.192.171/32 | 235.2.192.171 to 235.2.192.171 | — | 1 |
| 173 | 235.2.192.172/32 | 235.2.192.172 to 235.2.192.172 | — | 1 |
| 174 | 235.2.192.173/32 | 235.2.192.173 to 235.2.192.173 | — | 1 |
| 175 | 235.2.192.174/32 | 235.2.192.174 to 235.2.192.174 | — | 1 |
| 176 | 235.2.192.175/32 | 235.2.192.175 to 235.2.192.175 | — | 1 |
| 177 | 235.2.192.176/32 | 235.2.192.176 to 235.2.192.176 | — | 1 |
| 178 | 235.2.192.177/32 | 235.2.192.177 to 235.2.192.177 | — | 1 |
| 179 | 235.2.192.178/32 | 235.2.192.178 to 235.2.192.178 | — | 1 |
| 180 | 235.2.192.179/32 | 235.2.192.179 to 235.2.192.179 | — | 1 |
| 181 | 235.2.192.180/32 | 235.2.192.180 to 235.2.192.180 | — | 1 |
| 182 | 235.2.192.181/32 | 235.2.192.181 to 235.2.192.181 | — | 1 |
| 183 | 235.2.192.182/32 | 235.2.192.182 to 235.2.192.182 | — | 1 |
| 184 | 235.2.192.183/32 | 235.2.192.183 to 235.2.192.183 | — | 1 |
| 185 | 235.2.192.184/32 | 235.2.192.184 to 235.2.192.184 | — | 1 |
| 186 | 235.2.192.185/32 | 235.2.192.185 to 235.2.192.185 | — | 1 |
| 187 | 235.2.192.186/32 | 235.2.192.186 to 235.2.192.186 | — | 1 |
| 188 | 235.2.192.187/32 | 235.2.192.187 to 235.2.192.187 | — | 1 |
| 189 | 235.2.192.188/32 | 235.2.192.188 to 235.2.192.188 | — | 1 |
| 190 | 235.2.192.189/32 | 235.2.192.189 to 235.2.192.189 | — | 1 |
| 191 | 235.2.192.190/32 | 235.2.192.190 to 235.2.192.190 | — | 1 |
| 192 | 235.2.192.191/32 | 235.2.192.191 to 235.2.192.191 | — | 1 |
| 193 | 235.2.192.192/32 | 235.2.192.192 to 235.2.192.192 | — | 1 |
| 194 | 235.2.192.193/32 | 235.2.192.193 to 235.2.192.193 | — | 1 |
| 195 | 235.2.192.194/32 | 235.2.192.194 to 235.2.192.194 | — | 1 |
| 196 | 235.2.192.195/32 | 235.2.192.195 to 235.2.192.195 | — | 1 |
| 197 | 235.2.192.196/32 | 235.2.192.196 to 235.2.192.196 | — | 1 |
| 198 | 235.2.192.197/32 | 235.2.192.197 to 235.2.192.197 | — | 1 |
| 199 | 235.2.192.198/32 | 235.2.192.198 to 235.2.192.198 | — | 1 |
| 200 | 235.2.192.199/32 | 235.2.192.199 to 235.2.192.199 | — | 1 |
| 201 | 235.2.192.200/32 | 235.2.192.200 to 235.2.192.200 | — | 1 |
| 202 | 235.2.192.201/32 | 235.2.192.201 to 235.2.192.201 | — | 1 |
| 203 | 235.2.192.202/32 | 235.2.192.202 to 235.2.192.202 | — | 1 |
| 204 | 235.2.192.203/32 | 235.2.192.203 to 235.2.192.203 | — | 1 |
| 205 | 235.2.192.204/32 | 235.2.192.204 to 235.2.192.204 | — | 1 |
| 206 | 235.2.192.205/32 | 235.2.192.205 to 235.2.192.205 | — | 1 |
| 207 | 235.2.192.206/32 | 235.2.192.206 to 235.2.192.206 | — | 1 |
| 208 | 235.2.192.207/32 | 235.2.192.207 to 235.2.192.207 | — | 1 |
| 209 | 235.2.192.208/32 | 235.2.192.208 to 235.2.192.208 | — | 1 |
| 210 | 235.2.192.209/32 | 235.2.192.209 to 235.2.192.209 | — | 1 |
| 211 | 235.2.192.210/32 | 235.2.192.210 to 235.2.192.210 | — | 1 |
| 212 | 235.2.192.211/32 | 235.2.192.211 to 235.2.192.211 | — | 1 |
| 213 | 235.2.192.212/32 | 235.2.192.212 to 235.2.192.212 | — | 1 |
| 214 | 235.2.192.213/32 | 235.2.192.213 to 235.2.192.213 | — | 1 |
| 215 | 235.2.192.214/32 | 235.2.192.214 to 235.2.192.214 | — | 1 |
| 216 | 235.2.192.215/32 | 235.2.192.215 to 235.2.192.215 | — | 1 |
| 217 | 235.2.192.216/32 | 235.2.192.216 to 235.2.192.216 | — | 1 |
| 218 | 235.2.192.217/32 | 235.2.192.217 to 235.2.192.217 | — | 1 |
| 219 | 235.2.192.218/32 | 235.2.192.218 to 235.2.192.218 | — | 1 |
| 220 | 235.2.192.219/32 | 235.2.192.219 to 235.2.192.219 | — | 1 |
| 221 | 235.2.192.220/32 | 235.2.192.220 to 235.2.192.220 | — | 1 |
| 222 | 235.2.192.221/32 | 235.2.192.221 to 235.2.192.221 | — | 1 |
| 223 | 235.2.192.222/32 | 235.2.192.222 to 235.2.192.222 | — | 1 |
| 224 | 235.2.192.223/32 | 235.2.192.223 to 235.2.192.223 | — | 1 |
| 225 | 235.2.192.224/32 | 235.2.192.224 to 235.2.192.224 | — | 1 |
| 226 | 235.2.192.225/32 | 235.2.192.225 to 235.2.192.225 | — | 1 |
| 227 | 235.2.192.226/32 | 235.2.192.226 to 235.2.192.226 | — | 1 |
| 228 | 235.2.192.227/32 | 235.2.192.227 to 235.2.192.227 | — | 1 |
| 229 | 235.2.192.228/32 | 235.2.192.228 to 235.2.192.228 | — | 1 |
| 230 | 235.2.192.229/32 | 235.2.192.229 to 235.2.192.229 | — | 1 |
| 231 | 235.2.192.230/32 | 235.2.192.230 to 235.2.192.230 | — | 1 |
| 232 | 235.2.192.231/32 | 235.2.192.231 to 235.2.192.231 | — | 1 |
| 233 | 235.2.192.232/32 | 235.2.192.232 to 235.2.192.232 | — | 1 |
| 234 | 235.2.192.233/32 | 235.2.192.233 to 235.2.192.233 | — | 1 |
| 235 | 235.2.192.234/32 | 235.2.192.234 to 235.2.192.234 | — | 1 |
| 236 | 235.2.192.235/32 | 235.2.192.235 to 235.2.192.235 | — | 1 |
| 237 | 235.2.192.236/32 | 235.2.192.236 to 235.2.192.236 | — | 1 |
| 238 | 235.2.192.237/32 | 235.2.192.237 to 235.2.192.237 | — | 1 |
| 239 | 235.2.192.238/32 | 235.2.192.238 to 235.2.192.238 | — | 1 |
| 240 | 235.2.192.239/32 | 235.2.192.239 to 235.2.192.239 | — | 1 |
| 241 | 235.2.192.240/32 | 235.2.192.240 to 235.2.192.240 | — | 1 |
| 242 | 235.2.192.241/32 | 235.2.192.241 to 235.2.192.241 | — | 1 |
| 243 | 235.2.192.242/32 | 235.2.192.242 to 235.2.192.242 | — | 1 |
| 244 | 235.2.192.243/32 | 235.2.192.243 to 235.2.192.243 | — | 1 |
| 245 | 235.2.192.244/32 | 235.2.192.244 to 235.2.192.244 | — | 1 |
| 246 | 235.2.192.245/32 | 235.2.192.245 to 235.2.192.245 | — | 1 |
| 247 | 235.2.192.246/32 | 235.2.192.246 to 235.2.192.246 | — | 1 |
| 248 | 235.2.192.247/32 | 235.2.192.247 to 235.2.192.247 | — | 1 |
| 249 | 235.2.192.248/32 | 235.2.192.248 to 235.2.192.248 | — | 1 |
| 250 | 235.2.192.249/32 | 235.2.192.249 to 235.2.192.249 | — | 1 |
| 251 | 235.2.192.250/32 | 235.2.192.250 to 235.2.192.250 | — | 1 |
| 252 | 235.2.192.251/32 | 235.2.192.251 to 235.2.192.251 | — | 1 |
| 253 | 235.2.192.252/32 | 235.2.192.252 to 235.2.192.252 | — | 1 |
| 254 | 235.2.192.253/32 | 235.2.192.253 to 235.2.192.253 | — | 1 |
| 255 | 235.2.192.254/32 | 235.2.192.254 to 235.2.192.254 | — | 1 |
| 256 | 235.2.192.255/32 | 235.2.192.255 to 235.2.192.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |